# People

## Resets User Password.

 - [POST /api/people/{personId}/reset-password](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/people/peoplecontroller_resetuserpassword.md)

## Resends the User Credentials

 - [POST /api/people/{personId}/resend-credentials](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/people/peoplecontroller_resendcredentials.md)

## Adds the Person Information.

 - [POST /api/people](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/people/peoplecontroller_addperson.md)

## Adds the User account for a given Person.

 - [POST /api/people/{personId}/accounts](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/people/peoplecontroller_adduseraccount.md)

## Updates the User Account for a given Person. This API serves the purpose of updating the User Account Email Address and sets new password for the same.

 - [PATCH /api/people/{personId}/accounts](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/people/peoplecontroller_updateaccountemail.md)

## Gets the Person information by Id.

 - [GET /api/people/{personId}](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/people/peoplecontroller_getpersonbyid.md)

## Patches the Person information by updating the items.

 - [PATCH /api/people/{personId}](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/people/peoplecontroller_update.md)

## Changes Account Password for a given Person.

 - [POST /api/people/{personId}/change-password](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/people/peoplecontroller_changepassword.md)

## Re-sync single person's information

 - [POST /api/people/re-sync](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/people/peoplecontroller_resync.md)

## Lists available Account Audit Trails for given PersonId

 - [GET /api/people/{personId}/accounts/audit-trails](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/people/peoplecontroller_getaudittrails.md)

## Re-sync person's information in batch of 100 person Ids

 - [POST /api/people/re-sync-batch](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/people/peoplecontroller_resyncbatch.md)

